window.onload = function() {	
	var tileSize =  80;
	var numRows = 4;
	var numCols = 4;
	var tileSpacing = 10;
	var localStorageName = "mmm";
	var highScore;
	var tilesArray = [];
	var selectedArray = [];
	var playSound;
	var hints = false;
	var score;
	var timeLeft;
	var tilesLeft;
	var game = new Phaser.Game(500, 500, Phaser.AUTO, 'game-area');
	
	var preloadAssets = function(game){}
		preloadAssets.prototype = {
		preload: function(){     
			game.load.spritesheet("tiles", "assets/sprites/tiles.png", tileSize, tileSize);
			game.load.spritesheet("soundicons", "assets/sprites/soundicons.png", 80, 80);
			game.load.audio('notepair_01', ['assets/audio/notepair_01.mp3','assets/audio/notepair_01.ogg']);
			game.load.audio('notepair_02', ['assets/audio/notepair_02.mp3','assets/audio/notepair_02.ogg']);
			game.load.audio('notepair_03', ['assets/audio/notepair_03.mp3','assets/audio/notepair_03.ogg']);
			game.load.audio('notepair_04', ['assets/audio/notepair_04.mp3','assets/audio/notepair_04.ogg']);
			game.load.audio('notepair_05', ['assets/audio/notepair_05.mp3','assets/audio/notepair_05.ogg']);
			game.load.audio('notepair_06', ['assets/audio/notepair_06.mp3','assets/audio/notepair_06.ogg']);
			game.load.audio('notepair_07', ['assets/audio/notepair_07.mp3','assets/audio/notepair_07.ogg']);
			game.load.audio('notepair_08', ['assets/audio/notepair_08.mp3','assets/audio/notepair_08.ogg']);	
		},
		create: function(){
		   game.state.start("TitleScreen");
		}
     }
	 
	var playGame = function(game){}
	playGame.prototype = {
		soundArray: [],
		scoreText: null,
		timeText: null,
		create: function(){
			score = 0;
			timeLeft = 60;
			this.placeTiles();
			if(playSound){
          		this.soundArray[0] = game.add.audio("notepair_01", 1);
          		this.soundArray[1] = game.add.audio("notepair_02", 1);
          		this.soundArray[2] = game.add.audio("notepair_03", 1);
				this.soundArray[3] = game.add.audio("notepair_04", 1);
          		this.soundArray[4] = game.add.audio("notepair_05", 1);
          		this.soundArray[5] = game.add.audio("notepair_06", 1);
				this.soundArray[6] = game.add.audio("notepair_07", 1);
          		this.soundArray[7] = game.add.audio("notepair_08", 1);
				//this.soundArray[8] = game.add.audio("notepair_08", 1);
          		
			}
			var style = {
          		font: "32px Monospace",
          		fill: "#C60",
          		align: "center"
     		}
			this.scoreText = game.add.text(5, 5, "Score (hint off): " + (score * 2), style);
			if(hints){
				this.scoreText = game.add.text(5, 5, "Score (hint on): " + score, style);
			}
     		this.timeText = game.add.text(5, game.height - 5, "Time left: " + timeLeft, style);
     		this.timeText.anchor.set(0, 1);
     		game.time.events.loop(Phaser.Timer.SECOND, this.decreaseTime, this);
		},
		placeTiles: function(){
			tilesLeft = numRows * numCols;
		    	var leftSpace = (game.width - (numCols * tileSize) - ((numCols - 1) * 	tileSpacing))/2;
		    	var topSpace = (game.height - (numRows * tileSize) - ((numRows - 1) * 	tileSpacing))/2;
			for(var i = 0; i < numRows * numCols; i++){
				tilesArray.push(Math.floor(i / 2));
			}
			//shuffles array;
               for(i = 0; i < numRows * numCols; i++){
                    var from = game.rnd.between(0,tilesArray.length-1);
                    var to = game.rnd.between(0, tilesArray.length-1);
                    var temp = tilesArray[from];
                    tilesArray[from] = tilesArray[to];
                    tilesArray[to] = temp;
               }
			for(i = 0; i < numCols; i++){
		     	for(var j = 0; j < numRows; j++){  
		          	var tile = game.add.button(leftSpace + i * (tileSize +	tileSpacing), topSpace + j * (tileSize + tileSpacing), "tiles", this.showTile, this);
		            tile.frame = 0;
		            tile.value = tilesArray[j * numCols + i];
		        }   
		    }     
		},
		
		showTile: function(target){
			//console.log("this tile has value = " + target.value);
               if(selectedArray.length < 2 && selectedArray.indexOf(target) == -1){
					target.frame = target.value;
                    selectedArray.push(target);
					if(playSound){
						this.soundArray[target.value].play();	
					}
                    
                    if(selectedArray.length == 2){
                         game.time.events.add(Phaser.Timer.SECOND, this.checkTiles, this);
                    }
               }
        },
		
        checkTiles: function(){          
            if(selectedArray[0].value == selectedArray[1].value){
               	if(playSound){
               		//this.soundArray[selectedArray[0].value].play();	
					//this.soundArray[selectedArray[1].value].play();	
          		}
          		selectedArray[0].destroy();
                selectedArray[1].destroy();
				
				score ++;
          		timeLeft +=2;
          		this.timeText.text = "Time left: " + timeLeft;
          		this.scoreText.text = "Score (hint off): " + (score * 2);
				if(hints){
					this.scoreText = game.add.text(5, 5, "Score (hint on): " + score, style);
				}
                
				tilesLeft -= 2;
          		if(tilesLeft == 0){
               		tilesArray.length = 0;
               		selectedArray.length = 0;
               		this.placeTiles();	//game board recreated.
					timeLeft +=60;
					//game.state.start("GameOver");  // or move to game over.	
				}      
		    }else{
               	if(playSound){
              		this.soundArray[selectedArray[0].value].play();	
					this.soundArray[selectedArray[1].value].play();		
          		}
                selectedArray[0].frame = 0;
                selectedArray[1].frame = 0;          
            }
            selectedArray.length = 0;
        },
		
		decreaseTime: function(){
     		timeLeft --;
     		this.timeText.text = "Time left: " + timeLeft;
     		if(timeLeft == 0){
          		game.state.start("GameOver");  	
     		}
		}          
	}
	
	var titleScreen = function(game){}
	titleScreen.prototype = {
		create: function(){
			game.scale.pageAlignHorizontally = true;
     		game.scale.pageAlignVertically = true;
     		game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
			game.stage.disableVisibilityChange = true;
			var style = {
			font: "48px Monospace",
               	fill: "#C60",
               	align: "center"
       		};
       		var text = game.add.text(game.width / 2, game.height / 2 - 100, "Mozart Music Match\n Audio Memory\n\n Play \t Hints on", style);
       		text.anchor.set(0.5);
			var soundButton = game.add.button(game.width / 2 - 100, game.height / 2 + 100, "soundicons", this.startGame, this);
       		soundButton.anchor.set(0.5);
       		soundButton = game.add.button(game.width / 2 + 100, game.height / 2 + 100, "soundicons", this.startGame, this);
        		soundButton.frame = 1;
        		soundButton.anchor.set(0.5);
     	},
     	startGame: function(target){
			if(target.frame == 0){
				playSound = true;
			}
			else{
				playSound = true;
				hints = true;
			}
			game.state.start("PlayGame");
		}
	}
	
	var gameOver = function(game){}
	gameOver.prototype = {
	     create: function(){
               highScore = Math.max(score, highScore);
               localStorage.setItem(localStorageName, highScore);
	          var style = {
	               font: "32px Monospace",
	               fill: "#C60",
	               align: "center"
	          }
	          var text = game.add.text(game.width / 2, game.height / 2, "Game Over\n\nYour score: " + score + "\nBest score: " + highScore + "\n\nTap to restart", style);
	          text.anchor.set(0.5);
			game.input.onDown.add(this.restartGame, this);		
	     },
    		restartGame: function(){
          	tilesArray.length = 0;
          	selectedArray.length = 0;
          	game.state.start("TitleScreen");  	
     	}		
	}
	
	game.state.add("PreloadAssets", preloadAssets); 
	game.state.add("TitleScreen", titleScreen);
	game.state.add("PlayGame", playGame);
	game.state.add("GameOver", gameOver);
	highScore = localStorage.getItem(localStorageName) == null ? 0 : localStorage.getItem(localStorageName);
	game.state.start("PreloadAssets");	
}