<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
session_start ();
class Welcome extends CI_Controller {


	function __construct()
	{
		parent::__construct();
		$this->load->database('pdo', true);
		$this->load->helper(array('admintools','form','html','url'));
		$this->load->model('player_model');
		
	}

	public function index()
	{
		$data['title'] = "Welcome to Mozart's Music Match"; // Capitalize the first letter
		$data['affiliate_code'] = AFFILIATE_CODE;
		
		$this->load->view('templates/header', $data);
		$this->load->view('index', $data);
		$this->load->view('templates/footer', $data);
	}
	
	public function register()
	{
		redirect('usercp/register', 'location');
	}
	
	public function lobby()
	{
		
		$this->load->library('form_validation');
		
		$data['title'] = "Game Lobby"; 
		$data['affiliate_code'] = AFFILIATE_CODE;
		if ($this->form_validation->run() === FALSE)
		//if (! $solvemedia_response->is_valid) 
		{
			//$solvemedia_response->error;
			echo validation_errors();
			$this->load->view('templates/header', $data);
			$this->load->view('lobby', $data);
			$this->load->view('templates/footer', $data);
		}
		else
		{
			//New MVC Shepard: separating the sheeps from the goats
			$gamer = $this->input->post('gamer',TRUE);
			$server = $this->input->post('server',TRUE);
			
			switch($gamer)
			{
				case "MEMBER":
				case "PBM":
				case "PBeM":
					$_SESSION['GISServer']=$server;
					redirect('usercp/login', 'location');
				break;
				default:
				case "GUEST":
					
					//player comes in as a GUEST; set standard html5 Session CCP variables
					$ip = $_SERVER['REMOTE_ADDR'];
					$hostname = gethostbyaddr($ip);
					$fakeMail = (string)($ip . $hostname ."<:::)=oYourSaltHereO=[:::::>");
					$PID = emailCheck($fakeMail);
					
					
					$gamePage = 2;
					$_SESSION['Mode']="GUEST";
					$_SESSION['PID']=$PID;
					$_SESSION['GISServer']=$server;
					
					$CCP = 1;
					$Authorized = create_new_characters($PID,$CCP); //xml files

					$KeyIn = BuildRandomChar(); //Modify & update xml files
					
					//$LogAccess =Player_model::log_user_access("GUEST",$PID); //marketing transaction
					//none static method; learned from codeigniter AJAX
					$LogAccess = $this->player_model->log_user_access("GUEST",$PID);
				
					redirect('areas', 'location');
					
				break;
			}
		}
	}
	
	public function shop()
	{
		$data['title'] = "Game Products"; // Capitalize the first letter
		$data['affiliate_code'] = AFFILIATE_CODE;
		$this->load->view('templates/header', $data);
		$this->load->view('shop', $data);
		$this->load->view('templates/footer', $data);
	}
	
	public function about()
	{
		$data['title'] = "About Mozart Music Match"; // Capitalize the first letter
		$data['affiliate_code'] = AFFILIATE_CODE;
		$this->load->view('templates/header', $data);
		$this->load->view('about', $data);
		$this->load->view('templates/footer', $data);
	}

}

/* End of file welcome.php */
/* Location: ./mmm/controllers/welcome.php */