<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
//Database interactions only in models; xml & SESSION manipulation found elsewhere
//http://www.codebyjeff.com/blog/2013/03/codeigniter-with-pdo
Class Player_model extends CI_Model
{
	
	 public function __construct() {
        parent::__construct();
		
		$this->load->database('pdo', true);
		//$this->load->dbutil();
    }
	
	public function log_user_access($mode,$PID)
	{
		
		//formerly processNewMembTools.asp LogUser(u)
		//echo $mode . " -  ". $PID ." enters games db.";
		switch ($mode)
		{
			case "GUEST":
				$this->db->set('visits', 'visits + 1',FALSE);
				$this->db->set('lastdate', 'NOW()',FALSE);
				$this->db->where('PID','0000');
				$this->db->where('game_code','LORD');
				$str = $this->db->update('access_log');
				
				return $str;
			break;
			
			case "MEMBER":
				
				$this->db->set('visits', 'visits + 1',FALSE);
				$this->db->set('lastdate', 'NOW()',FALSE);
				$this->db->where('PID',$PID);
				$this->db->where('game_code','LORD');
				$str = $this->db->update('access_log');
				return $str;
			break;
			
			case "NEW":
				
				$this->db->set('PID', $PID);
				$this->db->set('game_code', 'LORD');
				$this->db->set('visits', '1',FALSE);
				$this->db->set('lastdate', 'NOW()',FALSE);
				$str = $this->db->insert('access_log');
				return $str;
			break;
			
			case "PATRON":
				
				$this->db->set('visits', 'visits + 1',FALSE);
				$this->db->set('lastdate', 'NOW()',FALSE);
				$this->db->where('PID',string($PID));
				$this->db->where('game_code','LORD');
				$str = $this->db->update('access_log');
				return $str;
			break;
		}
	}
	//Game Membership
	public function create_new_member($PID,$PAuth,$SurName,$Alias,$PeMail)
	{
		//formerly: processNewMemTools.asp - works 100%
				
		//Insert into players - $PID,$PAuth,$SurName,$PeMail
		/*Users Role:
			Long Dead = -12	//360 days inactive
			Dead = -6  		//180 days inactive
			UnDead = -2 	//60 days inactive
			Dormant = -1 	//30 days inactive
			Guest = 0; 		//Guests not entered into database
			Not Used = 1 or not activated/ or unverified
			Registered (Guest) = 2 "MEMBER" or downgraded Patron subscription; remains active based on dedication points earned in a month
			"T30" 30-days Trial Membership from $3+ Donation = 3; or monthly subscriptions
			Not Used = 4 - 99
			Patron (subscription pending) = 100
			Patron S5  (annual subscription 5) = 105
			Patron S10 (annual subscription 10) = 110
			Patron S15 (annual subscription 15) = 115
			Patron S20 (annual subscription 20) = 120
			Patron (lifetime pending) = 200
			Patron L1  (lifetime 1) = 201
			Patron L5  (lifetime 5) = 205
			Patron L10 (lifetime 10) = 210
			Patron L15 (lifetime 15) = 215
			Patron L20 (lifetime 20) = 220
			Affiliate = XX - no don't mix sales agents with game membership
			Admin Cyclops = xxxx
			Super User = xxxxxxx
		*/
		
		$this->db->set('PID', $PID);
		$this->db->set('PAuth', $PAuth);
		$this->db->set('PAccessLevelNum', '2');
		$this->db->set('PAccessLevelTxt', 'MEMBER');
		$this->db->set('PLName', $SurName);
		$this->db->set('PAlias', $Alias);
		$this->db->set('PeMail', $PeMail);
		$this->db->set('PJoined', 'NOW()',FALSE);
		
		$this->db->set('PToday', '1',FALSE);
		
		$this->db->set('PDedi', 'PDedi + 3', FALSE);
		$this->db->set('CCP', '1',FALSE);
		
		$str = $this->db->insert('player');
		return $str;

	}
	/*
	public function crud_player_rec($PID)
	{
		$user = array();
		//$this->db->reconnect();
		$this->db->select('*');
		$this->db->from('player');
		$this->db->where('PID', $PID);
		$this->db->limit(1);

		$query = $this->db->get();
		
		if($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
		
	}
	*/
	public function validate_login($PeMail, $PAuth)
	{
		$this->db->reconnect();
		//$sqlQ = "SELECT * FROM player WHERE PeMail = ? AND PAuth = ? LIMIT 1";
		//$query = $this->db->query($sqlQ, array($PeMail, $PAuth));
		$this->db->select('*');
		$this->db->from('player');
		
		$this->db->where('PAuth', $PAuth);
		$this->db->where('PeMail', $PeMail);
		$this->db->limit(1);
 
		$query = $this->db->get();
		//return $this->query->row_array();
		
		if($query->num_rows() > 0)
		{
			//return TRUE;
			return $query->result();
		}
		else
		{
			return FALSE;
		}
		
	}
}
/* End of file player_model.php */
/* Location: ./lord/models/player_model.php */