<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang=""> <!--<![endif]-->
<html lang="en">
<head profile="http://gmpg.org/xfn/11">
	<!-- Phaser Full Screen Mobile Example & SEO resources -->
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="chrome=1, IE=9" />
	<meta name="msapplication-tap-highlight" content="no" />
	<meta name="format-detection" content="telephone=no">
	<meta name="HandheldFriendly" content="true" />
	<meta name="robots" content="archive, index, follow, noodp, noydir" />
	<meta name="distribution" content="world,global"/>
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black" />
	<meta name="apple-mobile-web-app-title" content="Mozart's Music Match - a music education game" />
	<meta name="viewport" content="minimal-ui, user-scalable=0, width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, shrink-to-fit=no" />

	<!-- Social Networks & SEO -->
	<meta name="description" content="Do you have music intelligence? Mozart was a profound musical genius in the age of classical music; try your skills in this demo music audio puzzle game for music education and ear training."/>
	<meta name="keywords" content="Mozart, music, match, audio, education, puzzle, html5, web, touch, indie, game, demo, musical intelligence, ear training, renown games"/>

	<!-- Social Networks & SEO metadata -->
	<!-- Open Graph data -->
	<meta property="og:locale" content="en_US" />
	<meta property="og:locale:alternate" content="en_UK" />
	<meta property="og:type" content="game" />
	<meta property="og:title" content="Mozart's Music Match - a music education game" />
	<meta property="og:description" content="Do you have music intelligence? Mozart was a profound musical genius in the age of classical music; try your skills in this demo music audio puzzle game for music education and ear training." />
	<meta property="og:url" content="<?php echo base_url();?>" />
	<meta property="og:site_name" content="Mozart's Music Match" />
	<meta property="og:image" content="<?php echo base_url();?>/images/title.jpg" />

	<meta property="fb:app_id" content="xxxxxxxxxxx" />

	<!-- Twitter Card data -->
	<meta name="twitter:card" content="summary" />
	<meta name="twitter:description" content="Do you have music intelligence? Mozart was a profound musical genius in the age of classical music; try your skills in this demo music audio puzzle game for music education and ear training." />
	<meta name="twitter:title" content="Mozart's Music Match - a music education game" />
	<meta name="twitter:site" content="@pbmcube" />
	<meta name="twitter:image" content="<?php echo base_url();?>assets/images/title.jpg" />
	<meta name="twitter:creator" content="@pbmcube" />
	<title>Mozart's Music Match - a music education game</title>

	<!--  inline minified simple CSS -->
	<link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="<?php echo base_url();?>themes/css/w3css.css">
	<link rel="stylesheet" href="<?php echo base_url();?>themes/css/style.css" type="text/css" media="screen" />
	
	<style>
		.w3-text-theme {color:#000000 !important}
		.w3-theme {color:#fff !important; background-color:#330000 !important}

		.w3-theme-l5 {color:#000 !important; background-color:#ffeded !important}
		.w3-theme-l4 {color:#000 !important; background-color:#ffa3a3 !important}
		.w3-theme-l3 {color:#fff !important; background-color:#ff4747 !important}
		.w3-theme-l2 {color:#fff !important; background-color:#eb0000 !important}
		.w3-theme-l1 {color:#fff !important; background-color:#8f0000 !important}
		.w3-theme-d1 {color:#fff !important; background-color:#2e0000 !important}
		.w3-theme-d2 {color:#fff !important; background-color:#290000 !important}
		.w3-theme-d3 {color:#fc3 !important; background-color:#240000 !important}
		.w3-theme-d4 {color:#fff !important; background-color:#1f0000 !important}
		.w3-theme-d5 {color:#fff !important; background-color:#1a0000 !important}

		.w3-theme-light {color:#fff !important; background-color:#8f0000 !important}
		.w3-theme-dark {color:#fff !important; background-color:#1f0000 !important}
		.w3-theme-action {color:#fff !important; background-color:#1a0000 !important}
	</style>
	
	<!-- Example of custom fonts: -->
	<link href="https://fonts.googleapis.com/css?family=Rouge+Script&text=Mozart%27s%20Music%20Match" rel='stylesheet' type='text/css' />

	<link rel="canonical" href="<?php echo base_url();?>" />
	<link rel="publisher" href="https://www.stephen-gose.com/" />

	<!-- DNS prefetching -->
	<link rel="dns-prefetch" href="<?php echo base_url();?>" />
	<link rel="dns-prefetch" href="http://www.stephen-gose.com/" />
	<link rel="dns-prefetch" href="http://www.pbmcube.com/pbm3/" />
	<link rel="dns-prefetch" href="http://www.pbmcube.net/" />

	<!-- http://iconogen.com/upload.php -->
	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />

	<!-- non-retina iPhone pre iOS 7 -->
	<link rel="icons/apple-touch-icon" sizes="57x57" href="icons/apple-touch-icon-57x57.png" />
	<link rel="apple-touch-icon" sizes="60x60" href="icons/apple-touch-icon-60x60.png" />

	<!-- non-retina iPad pre iOS 7 -->
	<link rel="apple-touch-icon" sizes="72x72" href="icons/apple-touch-icon-72x72.png" />

	<!-- non-retina iPad iOS 7 -->
	<link rel="apple-touch-icon" sizes="76x76" href="icons/apple-touch-icon-76x76.png" />

	<!-- retina iPhone pre iOS 7 -->
	<link rel="apple-touch-icon" sizes="114x114" href="icons/apple-touch-icon-114x114.png" />
	<!-- retina iPhone iOS 7 -->
	<link rel="apple-touch-icon" sizes="120x120" href="icons/apple-touch-icon-120x120.png" />
	<!-- retina iPad pre iOS 7 -->
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="icons/apple-touch-icon-144x144.png" />
	<link rel="apple-touch-icon" sizes="144x144" href="icons/apple-touch-icon-144x144.png" />

	<!-- retina iPad iOS 7 -->
	<link rel="apple-touch-icon" sizes="152x152" href="icons/apple-touch-icon-152x152.png" />
	<link rel="apple-touch-icon" sizes="180x180" href="icons/apple-touch-icon-180x180.png" />
	<link rel="icon" type="image/png" href="icons/favicon-16x16.png" sizes="16x16" />
	<link rel="icon" type="image/png" href="icons/favicon-32x32.png" sizes="32x32" />
	<link rel="icon" type="image/png" href="icons/favicon-96x96.png" sizes="96x96" />

	<!-- Android -->
	<link rel="icon" type="image/png" href="icons/android-chrome-192x192.png" sizes="192x192" />

	<!-- Windows Phone -->
	<meta name="msapplication-square70x70logo" content="icons/smalltile.png" />
	<meta name="msapplication-square150x150logo" content="icons/mediumtile.png" />
	<meta name="msapplication-wide310x150logo" content="icons/widetile.png" />
	<meta name="msapplication-square310x310logo" content="icons/largetile.png" />

	<!-- A script inserted here by inline script tag (JS raw code) will be executed immediately (just as any inline JS would). As the downloaded html is parsed by the browser from top to bottom, any script tags in the head are executed followed by any script tags or iframe tags in the body. -->
	<script>
	(adsbygoogle = window.adsbygoogle || []).push({ google_ad_client: "ca-pub-xxxxxxxxxxxxxxxxx", enable_page_level_ads: true});
	</script>

	<!-- Whether a script is specified inline or with an 'src' attribute, execution is done in order and it blocks parsing of the DOM unless the 'async' attribute is specified. 'async' scripts are downloaded out of order with respect to the other resources in the DOM. Downloading them will not block parsing the rest of the DOM, but they will block the load event during execution.  -->
	<!-- google analytics & campaigns; or use your 3rd party integration here? 
	<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"> </script>
	-->
	<!-- Include the jQuery library? 
	<script async src="http://code.jquery.com/jquery-1.11.3.min.js"></script>
	-->
	<!-- Include the jQuery Mobile library? 
	<script async src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script> 
	-->
	<!-- pulled from cdn since the gamer may already have the minimized phaser framework in their browser cache -->
	<!-- once it is downloaded, execute and have it ready for game logic scripts that follow -->
	<script async src="https://cdnjs.cloudflare.com/ajax/libs/phaser/2.6.2/phaser.min.js" > </script>

	<!-- HTML5 shim and Respond.js IE8 (?) support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>
<body class="ARBP content" style="max-width: 900px" itemscope itemtype="http://schema.org/CreativeWork/SoftwareApplication" onload="breakout_of_frame();"  onmouseover="window.status=&#39;••• PBMCube.Com:: LoRD RPG Game •••&#39;;return true" onselectstart="return false;" ondragstart="return false;" oncontextmenu="return false;">
<div class="w3-container center"><script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<!-- 728x90, created 4/15/2012 -->
<ins class="adsbygoogle"
     style="display:inline-block;width:728px;height:90px"
     data-ad-client="ca-pub-5953865203339148"
     data-ad-slot="0043930003"></ins>
<script>
(adsbygoogle = window.adsbygoogle || []).push({});
</script>
	<noscript>
	       <div class="w3-container w3-red">
	           You need to enable JavaScript to play Mozart's Music Match properly.
	       </div>
	</noscript>

<div class="x35 w3-container center footer" style="color:#c60;"><b>Music Educational Game Series&trade;  &raquo; <em>Mozart's Music Match</em> (MMM)</b>
<img class="featured-image" src="<?php echo base_url();?>assets/images/bar2.gif" /><br />
</div>
 <!-- Page Title on page -->
